package fslog

import (
	ginzap "github.com/gin-contrib/zap"
	"github.com/gin-gonic/gin"
	"time"
)

func GinLogger() gin.HandlerFunc {
	lazyInitialize()
	return ginzap.Ginzap(logger, time.RFC3339, true)
}

func GinRecovery() gin.HandlerFunc {
	lazyInitialize()
	return ginzap.RecoveryWithZap(logger, true)
}
